openSUSE 10 Security Update : wireshark (wireshark-5783)

Medium Nessus Plugin ID 34990


The remote openSUSE host is missing a security update.


This update fixes problems that could crash wireshark when processing compressed data (CVE-2008-3933) as well as CVE-2008-4680 (USB dissector crash), CVE-2008-4681 (Bluetooth RFCOMM dissector crash), CVE-2008-4683 (Bluetooth ACL dissector crash), CVE-2008-4684 (PRP and MATE dissector crash) and CVE-2008-4685 (Q.931 dissector crash).


Update the affected wireshark packages.

Plugin Details

Severity: Medium

ID: 34990

File Name: suse_wireshark-5783.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2008/12/01

Modified: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:wireshark, p-cpe:/a:novell:opensuse:wireshark-devel, cpe:/o:novell:opensuse:10.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2008/11/14

Reference Information

CVE: CVE-2008-3933, CVE-2008-4680, CVE-2008-4681, CVE-2008-4683, CVE-2008-4684, CVE-2008-4685

CWE: 20, 399